> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a specific stage instance



## OpenAPI

````yaml /api-reference/4.2/service-query-stages.json delete /query-stages/instances/{id}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service query-stages
servers:
  - url: /api/apollo/
security: []
tags:
  - name: query-stages
paths:
  /query-stages/instances/{id}:
    delete:
      tags:
        - 4.2 Query Stages API
      summary: Delete a specific stage instance
      operationId: deleteStageInstance
      parameters:
        - name: id
          in: path
          description: The stage ID
          required: true
          schema:
            type: string
        - name: If-Match
          in: header
          description: An entity tag to match against the specified stage instance
          required: false
          schema:
            type: string
            default: '"-1"'
      responses:
        default:
          description: successful operation

````